<?php
include_once("../include/main.inc.php");
check_session('MyCpanel','index.php');
?>
<script type="text/javascript">
function chk_valid_date() {
	if (document.bannerFrm.validFrom.value==0) {
		alert("Please select Validity Period");
		return false;
	}
	if (document.bannerFrm.validTo.value==0) {
		alert("Please select Validity Period");
		return false;
	}
}
</script>
<?php
################ Paging Starts From Here ##################
@extract($_REQUEST);
$start = (intval($start)<0 or $start=="")?0:$start;
$pagesize = intval($pagesize)==0?$pagesize=20:$pagesize;

$heading="Manage Stores";
$record_type="Store";
$script_name="manage_brands.php";
$table_name="brand_tbl";
####################################################

if($id=="add_record" && $_FILES[brandImage][name]!="") {
	if($_FILES[brandImage][name]!="") {
		$file_extension=strtolower(getExtension($_FILES[brandImage][name]));
		if($file_extension!="jpg" && $file_extension!="gif" && $file_extension!="jpeg" && $file_extension!="png") {
			$form_check_alert .="<li>Please upload small image(.jpg,.gif,.png Format Only)</li>";
		}
	}
	if(!strlen($form_check_alert)>0) {
		if($_FILES[brandImage][name]!="") {
			$img_name="brand_".date("d_m_Y_H_i_s");
			$img1=upload_file($img_name,"brandImage","uploaded_files/brand_images");
		}
		$bannerUrl="http://".$bannerUrl;
		
		$sql=db_query("insert into $table_name set brandName='$brandName', brandHeading='$brandHeading', brandDetail='$brandDetail', brandTitle='$brandTitle', brandKeyword='$brandKeyword', brandDesc='$brandDesc', brandImage='$img1', recvDate=now(), status='Y'");
		$_SESSION[session_message]='New '.$record_type.' has been added successfully';
	    header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&pagesize=".$pagesize);
		exit;
	}
	else {
		$msg=html_head();
		$msg.=$form_check_alert;
		$msg.=html_foot();
	}
}

if($id=="update_record") {
	if($_FILES[brandImage][name]!="") {
		$file_extension=strtolower(getExtension($_FILES[brandImage][name]));
		if($file_extension!="jpg" && $file_extension!="gif" && $file_extension!="jpeg" && $file_extension!="png") {
			$form_check_alert .="<li>Please upload small image(.jpg,.gif,.png Format Only)</li>";
		}
	}
	if(!strlen($form_check_alert)>0) {
		if($_FILES[brandImage][name]!="") {
			$res1=getResult($table_name," where slno='$recordID'");
			$filenm1=SITE_DIR_PATH."/uploaded_files/brand_images/".$res1[brandImage];
			if (file_exists($filenm1)) {
				unlink($filenm1);
			}
			
			$img_name="brand_".date("d_m_Y_H_i_s");
			$img1=upload_file($img_name,"brandImage","uploaded_files/brand_images");
			updateTable($table_name," brandImage='$img1' where slno='$recordID'");
		}
		$bannerUrl=$bannerUrl;
		
		updateTable($table_name," brandName='$brandName', brandHeading='$brandHeading', brandDetail='$brandDetail', brandTitle='$brandTitle', brandKeyword='$brandKeyword', brandDesc='$brandDesc' where slno='$recordID'");
		$_SESSION[session_message]=$record_type.' has been updated successfully';
		header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&pagesize=".$pagesize);
		exit;
	}
	else {
		
		$msg=html_head();
		$msg.=$form_check_alert;
		$msg.=html_foot();
	}	
}

if($id=="delete_record") {
	db_query("delete from $table_name where slno='$recordID'");
	$_SESSION[session_message]=$record_type.' has been deleted successfully';
	header("Location: ".SITE_ADMIN_URL."/".$script_name."?start=".$start."&pagesize=".$pagesize);
	exit;
}

admin_header("");
?>
<table width="99%" border="0" align="center" cellpadding="0" cellspacing="0" valign="top">
    <tr>
	<td align="left" width="50%" class="myTitle"><?=$heading;?></td>
	<td align="right">
	 <form name="pgimg_form" action="<?=$PHP_SELF?>" method="post" style="margin:0px;padding:0px;">
	 <table width="98%" border="0" align="center" cellpadding="0" cellspacing="0" valign="top">
	  <tr>
	   <td align="right">Records Per Page:
	    <select name="pagesize" onchange="this.form.submit();">
	     <option value="0">--Select--</option>
	     <?php
	     foreach($_GLOBALS[pgsize_arr] as $val) {
		     if(trim($pagesize)==trim($val)) {
			     echo '<option value="'.$val.'" selected>'.$val.'</option>';
		     }
		     else{
			     echo '<option value="'.$val.'">'.$val.'</option>';
		     }
	     }
	     ?>
	    </select>	    
		 </td>
		</tr>
	 </table>
	 </form>
	</td>
 </tr>
</table>
<hr size="2" width="99%" color="#DA251C">
<?php
$qry1= db_query("select * from $table_name");
$reccnt = NumRows($qry1);
$qry= db_query("select * from $table_name order by slno desc limit $start, $pagesize");
echo pageNavigation($reccnt,$pagesize,$start);
print_message();
?>
<table width="99%" border="0" cellpadding="2" cellspacing="2" class="lightBorder">
 <?php
 if($reccnt>0) {
	 ?>
	 <tr height="25" bgcolor="#EAEAEA">
	  <td width="5%" align="center"><strong>S.No.</strong></td>
	  <td width="20%" align="left"><strong>Store Name</strong></td>
	  <td width="10%" align="center"><strong>Image</strong></td>
	  <td width="10%" align="left"><strong>Options</strong></td>
	 </tr>
	 <?php
	 $sl=$start+1;
	 while($arr=mysql_fetch_array($qry)) {
		 $arr=ms_htmlentities_decode($arr);
		 if($sl%2!=0) {
			 $color="#f9f9f9";
		 }
		 else{
			 $color="#f0f0f0";
		 }
		 ?>		 
		 <tr bgcolor="<?=$color;?>">
		  <td align="center"><?=$sl;?></td>
		  <td align="left"><?=$arr[brandName];?></td>
		 
		  <td align="center">
		   <?php
		   if($arr[brandImage]!="") {
			   $filenm=SITE_DIR_PATH."/uploaded_files/brand_images/".$arr[brandImage];
			   if(file_exists($filenm)) {
				   $dimens=GetImageSize($filenm);
				   if($dimens[0]>130) {
					   $dimens[0]=$dimens[0]+50;
					   $dimens[1]=$dimens[1]+80;
				   }
				   else{
					   $dimens[0]=200;
					   $dimens[1]=200;
				   }
				   ?>
				  <a href="javascript:void(0);" onClick="openwin('<?=SITE_ADMIN_URL;?>/popup.php?img=brand_images/<?=$arr[brandImage];?>', '<?=$dimens[0];?>', '<?=$dimens[1];?>')" class="linkgray fontbold"><strong>View <?=$record_type;?><strong></a><!--<img src="../uploaded_files/brand_images/<?=$arr[brandImage];?>" />-->
				   <?php
			   }
		   }
		   else {
			   ?>
			   <strong>No Image Uploaded</strong>
			   <?php
		   }
		   ?>
			</td>
		  <td align="center">&nbsp;<a href="<?=$script_name;?>?id=edit_record&start=<?=$start;?>&pagesize=<?=$pagesize?>&recordID=<?=$arr[slno];?>#bot"><img src="<?=SITE_ADMIN_URL?>/images/edit.gif" alt="Edit This <?=$record_type;?>" title="Edit This <?=$record_type;?>" border="0"></a>&nbsp;<a href="<?=$script_name;?>?id=delete_record&start=<?=$start;?>&pagesize=<?=$pagesize?>&recordID=<?=$arr[slno];?>" onClick="return confirm('Are you sure to delete this record...');"><img src="<?=SITE_ADMIN_URL?>/images/cancel.gif" alt="Delete This <?=$record_type;?>" border="0"></td>
		 </tr>
		 <?php
		 $sl++;
	 }
 }
 else{
	 ?>
	 <tr><td><b>No Record Found........</b></td></tr>
	 <?php
 }
 ?>
</table><br />


<form name="bannerFrm" method=post action="" enctype="multipart/form-data" onsubmit="return validate('bannerFrm') && chk_valid_date();">
<table width="99%"  border="1" cellpadding="2" cellspacing="2" class="lightBorder">
 <?php
 if($_GET[recordID]=="" || $id!="edit_record") {
	 ?>
	 <tr bgcolor="#EAEAEA"><td colspan="2" align="left" height="20"><b><a name="bot">Add New <?=$record_type;?></a></b></td></tr>
	 <?php
 }
 else {
	 ?>
	 <tr bgcolor="#EAEAEA">
	  <td align="left" height="20"><a name="bot"></a><b>Edit <?=$record_type;?></b></td>
	  <td align="right" height="20"><a href="<?=$script_name;?>"><b>Add New <?=$record_type;?></b></a></td>
	 </tr>
 <?php
 }
 $res=getResult($table_name," where slno='$_GET[recordID]'");
 ?>
 <tr>
 <td class="brdrbtm" valign="top"><b>Store Image <font color="red">*</font></b></td>
 <td class="brdrbtm" valign="top">
   <?php
   if($res[brandImage]!="") {
	   ?>
	   <input name="brandImage" type="file" size="40"  class="button">
	   <?php
	   $banner=SITE_DIR_PATH."/uploaded_files/brand_images/".$res[banner];
	   if(file_exists($banner)) {
		   $dimens=GetImageSize($banner);
		   if($dimens[0]>130) {
			   $dimens[0]=$dimens[0]+50;
			   $dimens[1]=$dimens[1]+80;
		   }
		   else{
			   $dimens[0]=200;
			   $dimens[1]=200;
		   }
		   echo "&nbsp;<a href=\"javascript:void(0);\" onClick=\"openwin('".SITE_ADMIN_URL."/popup.php?img=brand_images/".$res[brandImage]."', '$dimens[0]', '$dimens[1]')\" class=\"linkgray fontbold\"><b>View Image</b></a>"; 
	   }
   }
   else {
	   ?>
	   <input name="brandImage" type="file" size="40" class="button" id="NOBLANK~Please upload image.~DM~">
	   <?php
   }
   ?>
   <br/>
</td>
</tr>
<tr>
<td class="brdrbtm"><b>Store Name <font color="red">*</font></b></td>
<td class="brdrbtm"><input type="text" name="brandName" size="60" value="<?=$res[brandName];?>" id="NOBLANK~Please enter Person Name.~DM~" /></td>
</tr> 
<tr>
<td class="brdrbtm"><b>Store Heading<font color="red">*</font></b></td>
<td class="brdrbtm"><textarea name="brandHeading" id="catDesc" rows="5" cols="30" class="txtfieldadmin" ><?=$res[brandHeading];?></textarea></td>
</tr> 
<tr>
<td class="brdrbtm"><b>Store Detail <font color="red">*</font></b></td>
<td class="brdrbtm"><textarea name="brandDetail" id="catDesc" rows="5" cols="30" class="txtfieldadmin" ><?=$res[brandDetail];?></textarea></td>
</tr> 
<tr>
<td class="brdrbtm"><b>Store Meta Title <font color="red">*</font></b></td>
<td class="brdrbtm"><textarea name="brandTitle" id="catDesc" rows="5" cols="30" class="txtfieldadmin" ><?=$res[brandTitle];?></textarea></td>
</tr> 

<tr>
<td class="brdrbtm"><b>Store Meta Keywords <font color="red">*</font></b></td>
<td class="brdrbtm"><textarea name="brandKeyword" id="catDesc" rows="5" cols="30" class="txtfieldadmin" ><?=$res[brandKeyword];?></textarea></td>
</tr> 
<tr>
<td class="brdrbtm"><b>Store Meta Description <font color="red">*</font></b></td>
<td class="brdrbtm"><textarea name="brandDesc" id="catDesc" rows="5" cols="30" class="txtfieldadmin" ><?=$res[brandDesc];?></textarea></td>
</tr> 
<tr>
<td class="brdrbtm"></td>
<td class="brdrbtm">
   <?php
   if($recordID !="") {
	   ?>
	   <input type="submit" name="submit" value="Update <?=$record_type;?>" class="button">
	   <input type="hidden" name="recordID" value="<?=$res[slno];?>">
	   <input type="hidden" name="id" value="update_record">
	   <?php	   
   }
   else{
	   ?>
	   <input type="submit" name="submit" value="Add New <?=$record_type;?>" class="button">
	   <input type="hidden" name="id" value="add_record">
   <?php
   }
   ?>
   <input type="hidden" name="start" value="<?=$start;?>">
   <input type="hidden" name="pagesize" value="<?=$pagesize;?>">
</td>
</tr>
</table>
</form>
<iframe width=174 height=189 name="gToday:normal:agenda.js" id="gToday:normal:agenda.js" src="<?=SITE_URL_PATH;?>/js/calendar/themes/Normal/ipopeng.htm" scrolling="no" frameborder="0" style="visibility:visible; z-index:999; position:absolute; top:-500px; left:-500px;">
   </iframe>
<?php
admin_footer();
exit;
?>